## 1. refine existing engine (knowing what I know now)

- [x] rewrite event queue as a linked list
- [x] rewrite animator stacks as linked lists
- [x] rewrite ship/bullet collections as linked lists
- [ ] update/draw mode switching system (high-efficiency version)
- [ ] render ship shields (even for large ships)
- [ ] duplicate file -- about to split away from Tyrian features

## 2. convert from Tyrian clone to MMBN clone

- [ ] remove PWR meter, replace with weapon queue
- [ ] remove power mechanics from _player_ ship (only!)
- [ ] all player weapons are now ammo limited except pea shooter
- [ ] remove weapon drops
- [ ] implement fallback pea shooter
- [ ] implement turn timer (screen-height bar)
- [ ] replace per-frame CLR with rectfill (saves time)
- [ ] implement extremely crude prototype for weapon select intermezzo
- [ ] implement "deck"
- [ ] implement basic weapon cards
- [ ] implement starter deck
- [ ] stabilize this with just starter deck and sample level

## 3. add deckbuilder mechanics

- [ ] implement post-encounter "get a card"
- [ ] implement deck lister
- [ ] implement more cards, mini-encounters for deck buildup
- [ ] implement card levels?
- [ ] implement card removal (shop?)

## 4. make it a real game

- [ ] actually design a branching encounter sequence
- [ ] map
- [ ] "minimap"/scanner on weapon picker
- [ ] high score board (difficulty x time)
- [ ] difficulty increase system
- [ ] as much more crap as I can fit in under the token limit, which
      is probably not much at this point

## 5. this is just futile isn't it

- [ ] give up and move to TIC-80 because the token limits
